Bug 499231 - (bjass) SElinux denial of Gutenprint
SElinux denial of Gutenprint
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 13:16 EDT by bjass57
Modified: 2009-11-18 08:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:29:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Audit Alert (2.76 KB, text/plain)
2009-05-05 13:16 EDT, bjass57
no flags Details
Audit Alert (3.19 KB, text/plain)
2009-05-05 13:22 EDT, bjass57
no flags Details
Audit Alert (2.81 KB, text/plain)
2009-05-05 13:23 EDT, bjass57
no flags Details

  None (edit)
Description bjass57 2009-05-05 13:16:16 EDT
Created attachment 342498 [details]
Audit Alert

Description of problem:
SElinux stops printing of open office documents to Canon MP180 printer driven by CUPS+Gutenprint (OpenPrinting LSB 3.2) v5.2.2 Simplified

Version-Release number of selected component (if applicable):
SELinux

How reproducible:
Always.
Can work around by changing to permissive mode.

Steps to Reproduce:
1.Open file and print to Canon MP180
2.
3.
  
Actual results:
SELinux - AVC denial

Expected results:
Print of document

Additional info:
Also two other denials of Gutenprint:
- SELinux is preventing the gdm (xdm_t) from executing ./openprinting-gutenprint.sh.
- SELinux is preventing manpath (xdm_t) "getattr" to /opt/OpenPrinting-Gutenprint/man (man_t).
Comment 1 bjass57 2009-05-05 13:22:46 EDT
Created attachment 342499 [details]
Audit Alert
Comment 2 bjass57 2009-05-05 13:23:48 EDT
Created attachment 342500 [details]
Audit Alert
Comment 3 Miroslav Grepl 2009-09-02 09:21:23 EDT
Is this problem still present with the current F10 selinux-policy ?
Comment 4 Bug Zapper 2009-11-18 06:54:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.